# that turns a file-based log-shipping standby into streaming replication standby
primary_conninfo = 'host=@@@ha_companion_ip%%% port=5432 dbname=evadb'
primary_slot_name = 'eva_replica'

wal_level = replica

# it will begin accepting connections 
# once the recovery has brought the system to a consistent state. 
# All such connections are strictly read-only; 
# not even temporary tables may be written.
hot_standby = on

# prevents VACUUM from removing recently-dead rows and so cleanup conflicts do not occur
hot_standby_feedback = on
# default
max_standby_archive_delay = 30
# default
max_standby_streaming_delay = 30

tcp_keepalives_idle = 0
tcp_keepalives_interval = 0
tcp_keepalives_count = 0
